<?php


namespace App\Helpers;


use Illuminate\Support\Facades\Storage;

class ErrorHelper
{
    private $storage = [];
    function report($errorNumber = null){
        $this->storage[] = $this->getError($errorNumber);
    }
    function hasErrors(){
        return !empty($this->storage);
    }
    function getError($number){
        $errorsDict = json_decode(Storage::disk('local')->get('errors/description.json'), true);
        if(!isset($errorsDict[$number])){
            return ['0000', "Unknown error"];
        }
        else{
            return['code'=>$number, 'message'=>$errorsDict[$number]];
        }
    }
    function render(){
        return ["status"=>'error', 'errors'=>$this->storage];
    }
}